### org.jfree.layouting.layouter.style.resolver

# Interface ResolveHandler

Known Implementing Classes:
  BackgroundAttachmentResolveHandler, BackgroundBreakResolveHandler, BackgroundClipResolveHandler, BackgroundImageResolveHandler, BackgroundOriginResolveHandler, BackgroundRepeatResolveHandler, BlockProgressionResolveHandler, BorderStyleResolveHandler, BorderWidthResolveHandler, BoxSizingResolveHandler, ColorResolveHandler, ConstantsResolveHandler, ContentResolveHandler, CounterIncrementResolveHandler, CounterResetResolveHandler, DirectionResolveHandler, DisplayModelResolveHandler, DisplayRoleResolveHandler, FitPositionResolveHandler, FitResolveHandler, FloatDisplaceResolveHandler, FloatResolveHandler, FontEffectResolveHandler, FontEmphasizePositionResolveHandler, FontEmphasizeStyleResolveHandler, FontFamilyResolveHandler, FontSizeAdjustResolveHandler, FontSizeResolveHandler, FontSizeResolveHandler, FontSmoothResolveHandler, FontSmoothResolveHandler, FontSmoothResolveHandler, FontStretchResolveHandler, FontStyleResolveHandler, FontVariantResolveHandler, FontWeightResolveHandler, IndentEdgeResetResolveHandler, LetterSpacingResolveHandler, LineHeightResolveHandler, LineStackingStrategyResolveHandler, ListOfConstantsResolveHandler, ListStyleImageResolveHandler, ListStylePositionResolveHandler, ListStyleTypeResolveHandler, MaxMinFontSizeResolveHandler, MinMaxFontSizeResolveHandler, MoveToResolveHandler, OtherColorResolveHandler, PageSizeResolveHandler, PageSizeResolveHandler, PositionResolveHandler, QuotesResolveHandler, StringSetResolveHandler, TargetNameResolveHandler, TargetNewResolveHandler, TargetPositionResolveHandler, TextAlignLastResolveHandler, TextAlignResolveHandler, TextDecorationWidthResolveHandler, TextDecorationWidthResolveHandler, TextHeightResolveHandler, TextHeightResolveHandler, TextIndentResolveHandler, TextJustifyResolveHandler, TextJustifyTrimResolveHandler, TextKashidaSpaceResolveHandler, TextOverflowEllipsisResolveHandler, TextOverflowModeResolveHandler, TextTransformResolveHandler, TextWrapResolveHandler, VerticalAlignResolveHandler, WhitespaceCollapseResolveHandler, WordBreakResolveHandler, WordSpacingResolveHandler, WordWrapResolveHandler, XAlternateTextResolveHandler, XStringDefineResolveHandler

`public interface ResolveHandler`

Creation-Date: 11.12.2005, 14:43:15

Author:
  Thomas Morgner

  ## Method Summary

  `StyleKey[]`

  `getRequiredStyles()`
    This indirectly defines the resolve order.

  `void`

  `resolve(LayoutProcess process, LayoutElement currentNode, StyleKey key)`
    Resolves a single property.

## Method Details

### getRequiredStyles

    public StyleKey[] getRequiredStyles()

> This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
> Returns:
>   the array of required style keys.

### resolve

    public void resolve(LayoutProcess process,
                        LayoutElement currentNode,
                        StyleKey key)

> Resolves a single property.
> Parameters:
>   `process` - the current layout process controlling everyting
>   `currentNode` - the current layout element that is processed
>   `key` - the style key that is computed.